<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use App\Traits\DianujHashidsTrait;
use Illuminate\Database\Eloquent\SoftDeletes;

class UserTest extends Model
{
    use HasFactory;
    use SoftDeletes;
    use DianujHashidsTrait;

    public function exam()
    {
        return $this->belongsTo(CardExam::class, 'exam_id'); // 'exam_id' foreign key hai
    }

    public function userCard()
    {
        return $this->belongsTo(UserCard::class, 'card_id');
    }
}
